Package org.apache.ignite.internal.management.cache

## Class IdleVerifyTaskV2

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,​R,​R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<CacheIdleVerifyCommandArg,​IdleVerifyResultV2>
    - - org.apache.ignite.internal.management.cache.IdleVerifyTaskV2

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<CacheIdleVerifyCommandArg>,​VisorTaskResult<IdleVerifyResultV2>>`

    @GridInternal
    public class IdleVerifyTaskV2
    extends VisorOneNodeTask<CacheIdleVerifyCommandArg,​IdleVerifyResultV2>

Task to verify checksums of backup partitions.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`IdleVerifyTaskV2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<CacheIdleVerifyCommandArg,​IdleVerifyResultV2>` `job​(CacheIdleVerifyCommandArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IdleVerifyTaskV2

    public IdleVerifyTaskV2()

### Method Detail

#### job

    protected VisorJob<CacheIdleVerifyCommandArg,​IdleVerifyResultV2> job​(CacheIdleVerifyCommandArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<CacheIdleVerifyCommandArg,​IdleVerifyResultV2,​IdleVerifyResultV2>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.